@import url("https://fonts.googleapis.com/css2?family=Raleway:wght@300;400;500;700&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Raleway:wght@300;500&display=swap");
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box; }

ul li {
  list-style: none; }

a {
  text-decoration: none; }

a,
button,
input {
  font: inherit; }

h1,
h2,
h3,
h4,
h5 {
  padding-bottom: 1rem; }

p {
  padding: 0.5rem 0; }

img {
  width: 100%; }

.btn {
  background: #6e707a;
  box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
  color: #fff;
  border: none;
  outline: none;
  border-radius: 10px;
  padding: 0.5rem 0.7rem; }

.lead {
  font-size: 2rem;
  font-weight: 700; }

.text-white {
  color: #e7e7eb; }

.text-secondary {
  color: #a09fb1; }

.row {
  display: flex;
  flex-flow: row; }

.space-between {
  justify-content: space-between; }

.card {
  background: #1e213a;
  padding: 1rem; }

.show {
  display: block; }

.hidden {
  display: none; }

body {
  font-family: 'Raleway', sans-serif;
  line-height: 1.6;
  min-width: 320px; }

.noscroll {
  position: fixed;
  overflow: hidden; }

#search-container {
  display: none;
  z-index: 1;
  position: sticky;
  top: 0;
  left: 0;
  background: #1e213a;
  height: 100vh;
  width: 100%;
  padding: 1rem; }
  #search-container .btn-exit {
    text-align: end;
    padding-bottom: 1rem;
    font-size: 1.3rem;
    font-weight: 700;
    color: #e7e7eb;
    cursor: pointer; }
  #search-container .form-group {
    display: flex;
    flex-flow: row wrap;
    justify-content: space-evenly; }
    #search-container .form-group .input-text {
      display: flex;
      flex-flow: row wrap;
      width: 70%;
      border: 1px solid #e7e7eb; }
      #search-container .form-group .input-text .fa {
        width: 20%;
        color: #616475;
        padding: 1rem; }
      #search-container .form-group .input-text input {
        width: 80%;
        border: none;
        outline: none;
        background: transparent;
        color: #e7e7eb; }
    #search-container .form-group button {
      max-width: 575px;
      padding: 0.5rem 0.7rem;
      border: none;
      outline: none;
      color: #e7e7eb;
      background: #3c47e9;
      cursor: pointer; }
  #search-container .result-list {
    color: #e7e7eb;
    padding: 2rem 0rem; }
    #search-container .result-list ul li {
      padding: 1.3rem 0.3rem;
      margin: 2rem 0;
      display: flex;
      flex-direction: row;
      align-items: center;
      justify-content: space-between; }
      #search-container .result-list ul li .fas {
        color: #616475;
        font-size: 1rem;
        padding: 0 0.5rem; }
    #search-container .result-list ul a {
      color: #e7e7eb;
      display: inline-block;
      padding-left: 1rem; }
    #search-container .result-list ul .active {
      border: 1px solid #616475; }

#weather-today {
  display: flex;
  flex-direction: column;
  height: 100vh;
  background: #1e213a;
  color: #a09fb1;
  text-align: center; }
  #weather-today .nav {
    padding: 1.5rem 1.5rem;
    display: flex;
    flex-flow: row wrap;
    justify-content: space-between; }
    #weather-today .nav .current-location {
      border: none;
      outline: none;
      background: #6e707a;
      padding: 0.2rem; }
      #weather-today .nav .current-location i {
        padding: 0.5rem;
        color: #e7e7eb; }
  #weather-today .btn-search {
    cursor: pointer; }
  #weather-today .current-location {
    border-radius: 50%;
    padding: none; }
    #weather-today .current-location i {
      font-size: 1.2rem;
      padding: 0.1rem; }
  #weather-today .content .shower-container {
    width: 100%;
    height: 30vh;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative; }
    #weather-today .content .shower-container img {
      position: absolute;
      width: 30%; }
    #weather-today .content .shower-container::before {
      content: '';
      background: url("../img/Cloud-background.png") no-repeat center center/cover;
      opacity: 0.1;
      width: 100%;
      height: 30vh; }
  #weather-today .content h1 {
    font-size: 6rem;
    font-family: "Raleway", sans-serif;
    font-weight: 500;
    color: #fff; }
    #weather-today .content h1 span {
      color: #a09fb1; }
  #weather-today .content p:not(.lead) {
    font-size: 1.2rem;
    font-weight: 500; }

#weather-update {
  background: #100e1d;
  padding: 1rem;
  margin: auto; }
  #weather-update .list-weather {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 1rem; }
    #weather-update .list-weather .card {
      background: #1e213a;
      text-align: center; }
      #weather-update .list-weather .card img {
        width: 50%;
        display: block;
        margin: auto; }
  #weather-update .highlights {
    margin: 2rem 0; }
    #weather-update .highlights .highlight-wrap .card {
      margin-bottom: 1rem;
      height: 13rem;
      text-align: center;
      display: flex;
      flex-flow: column;
      justify-content: space-around; }
      #weather-update .highlights .highlight-wrap .card h3 {
        font-size: 3rem; }
      #weather-update .highlights .highlight-wrap .card:nth-child(3) h3,
      #weather-update .highlights .highlight-wrap .card:nth-child(4) h3 {
        font-size: 4rem;
        padding: 0; }
        #weather-update .highlights .highlight-wrap .card:nth-child(3) h3 small,
        #weather-update .highlights .highlight-wrap .card:nth-child(4) h3 small {
          font-size: 2rem;
          font-weight: 300; }
      #weather-update .highlights .highlight-wrap .card:nth-child(1) h3 small {
        font-size: 2rem;
        font-weight: 300; }
      #weather-update .highlights .highlight-wrap .card .fa-location-arrow {
        transform: rotate(180deg);
        margin-right: 1rem;
        padding: 0.5rem;
        font-size: 0.7rem;
        background: #a09fb1;
        border-radius: 50%; }
      #weather-update .highlights .highlight-wrap .card .progress-bar-complete {
        width: 90%;
        margin: auto; }
        #weather-update .highlights .highlight-wrap .card .progress-bar-complete .progress-bar {
          background: #a09fb1;
          border-radius: 10px; }
          #weather-update .highlights .highlight-wrap .card .progress-bar-complete .progress-bar .percent {
            padding: 0.4rem 0;
            border-radius: 10px;
            width: 70%;
            background: #ffec65; }
        #weather-update .highlights .highlight-wrap .card .progress-bar-complete p {
          padding: 0; }
        #weather-update .highlights .highlight-wrap .card .progress-bar-complete p:nth-of-type(1) {
          text-align: end;
          padding: 0; }

.footer {
  margin-top: 3rem;
  margin-bottom: 1rem;
  text-align: center; }

@media (max-width: 320px) and (max-height: 568px) {
  .lead {
    font-size: 1.5rem; }
  #weather-today .content .shower-container {
    height: 25vh; } }

@media (min-width: 500px) {
  #weather-today .content .shower-container {
    height: 40vh; }
    #weather-today .content .shower-container::before {
      height: 60vh; } }

@media (min-width: 1000px) {
  .container {
    display: flex;
    flex-flow: row wrap;
    position: relative; }
  #search-container {
    position: fixed;
    width: 30% !important;
    top: 0;
    left: 0; }
  #weather-today {
    width: 30%;
    position: fixed; }
    #weather-today .content .shower-container {
      height: 30vh; }
      #weather-today .content .shower-container::before {
        height: 40vh; }
  #weather-update {
    display: flex;
    flex-direction: column;
    justify-content: center;
    position: absolute;
    top: 0;
    right: 0;
    width: 70%;
    min-height: 100vh;
    padding: 4rem; }
    #weather-update .list-weather {
      grid-template-columns: repeat(5, 1fr);
      gap: 1rem; }
    #weather-update .highlights .highlight-wrap {
      display: grid;
      grid-template-columns: repeat(2, 45.2%);
      gap: 3.5rem;
      margin: 0; }
      #weather-update .highlights .highlight-wrap .card {
        margin: 0; }
      #weather-update .highlights .highlight-wrap .card:nth-child(3),
      #weather-update .highlights .highlight-wrap .card:nth-child(4) {
        height: 10rem; }
  .footer {
    margin-top: 2rem;
    margin-bottom: 0;
    text-align: center; } }

@media (max-height: 580px) {
  #weather-today .content .shower-container {
    height: 30vh; }
  #weather-today .content h1 {
    font-size: 5rem; } }
